IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/44
Addresses2^84
/64 networks1,048,576
- Network
2c19:dd:c910::/44- First address
2c19:dd:c910::- Last address
2c19:dd:c91f:ffff:ffff:ffff:ffff:ffff- Addresses
- 19,342,813,113,834,066,795,298,816 (2^84)
- /64 networks (LANs)
- 1,048,576
- Full form
2c19:00dd:c910:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
1.9.c.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:c910::/44 makes 256 subnets of /52.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:c910::/52 | 2c19:dd:c910:fff:ffff:ffff:ffff:ffff |
| 2 | 2c19:dd:c910:1000::/52 | 2c19:dd:c910:1fff:ffff:ffff:ffff:ffff |
| 3 | 2c19:dd:c910:2000::/52 | 2c19:dd:c910:2fff:ffff:ffff:ffff:ffff |
| 4 | 2c19:dd:c910:3000::/52 | 2c19:dd:c910:3fff:ffff:ffff:ffff:ffff |
| 5 | 2c19:dd:c910:4000::/52 | 2c19:dd:c910:4fff:ffff:ffff:ffff:ffff |
| 6 | 2c19:dd:c910:5000::/52 | 2c19:dd:c910:5fff:ffff:ffff:ffff:ffff |
| 7 | 2c19:dd:c910:6000::/52 | 2c19:dd:c910:6fff:ffff:ffff:ffff:ffff |
| 8 | 2c19:dd:c910:7000::/52 | 2c19:dd:c910:7fff:ffff:ffff:ffff:ffff |
| 9 | 2c19:dd:c910:8000::/52 | 2c19:dd:c910:8fff:ffff:ffff:ffff:ffff |
| 10 | 2c19:dd:c910:9000::/52 | 2c19:dd:c910:9fff:ffff:ffff:ffff:ffff |
| 11 | 2c19:dd:c910:a000::/52 | 2c19:dd:c910:afff:ffff:ffff:ffff:ffff |
| 12 | 2c19:dd:c910:b000::/52 | 2c19:dd:c910:bfff:ffff:ffff:ffff:ffff |
| 13 | 2c19:dd:c910:c000::/52 | 2c19:dd:c910:cfff:ffff:ffff:ffff:ffff |
| 14 | 2c19:dd:c910:d000::/52 | 2c19:dd:c910:dfff:ffff:ffff:ffff:ffff |
| 15 | 2c19:dd:c910:e000::/52 | 2c19:dd:c910:efff:ffff:ffff:ffff:ffff |
| 16 | 2c19:dd:c910:f000::/52 | 2c19:dd:c910:ffff:ffff:ffff:ffff:ffff |
| 17 | 2c19:dd:c911::/52 | 2c19:dd:c911:fff:ffff:ffff:ffff:ffff |
| 18 | 2c19:dd:c911:1000::/52 | 2c19:dd:c911:1fff:ffff:ffff:ffff:ffff |
| 19 | 2c19:dd:c911:2000::/52 | 2c19:dd:c911:2fff:ffff:ffff:ffff:ffff |
| 20 | 2c19:dd:c911:3000::/52 | 2c19:dd:c911:3fff:ffff:ffff:ffff:ffff |
| 21 | 2c19:dd:c911:4000::/52 | 2c19:dd:c911:4fff:ffff:ffff:ffff:ffff |
| 22 | 2c19:dd:c911:5000::/52 | 2c19:dd:c911:5fff:ffff:ffff:ffff:ffff |
| 23 | 2c19:dd:c911:6000::/52 | 2c19:dd:c911:6fff:ffff:ffff:ffff:ffff |
| 24 | 2c19:dd:c911:7000::/52 | 2c19:dd:c911:7fff:ffff:ffff:ffff:ffff |
| 25 | 2c19:dd:c911:8000::/52 | 2c19:dd:c911:8fff:ffff:ffff:ffff:ffff |
| 26 | 2c19:dd:c911:9000::/52 | 2c19:dd:c911:9fff:ffff:ffff:ffff:ffff |
| 27 | 2c19:dd:c911:a000::/52 | 2c19:dd:c911:afff:ffff:ffff:ffff:ffff |
| 28 | 2c19:dd:c911:b000::/52 | 2c19:dd:c911:bfff:ffff:ffff:ffff:ffff |
| 29 | 2c19:dd:c911:c000::/52 | 2c19:dd:c911:cfff:ffff:ffff:ffff:ffff |
| 30 | 2c19:dd:c911:d000::/52 | 2c19:dd:c911:dfff:ffff:ffff:ffff:ffff |
| 31 | 2c19:dd:c911:e000::/52 | 2c19:dd:c911:efff:ffff:ffff:ffff:ffff |
| 32 | 2c19:dd:c911:f000::/52 | 2c19:dd:c911:ffff:ffff:ffff:ffff:ffff |
| 33 | 2c19:dd:c912::/52 | 2c19:dd:c912:fff:ffff:ffff:ffff:ffff |
| 34 | 2c19:dd:c912:1000::/52 | 2c19:dd:c912:1fff:ffff:ffff:ffff:ffff |
| 35 | 2c19:dd:c912:2000::/52 | 2c19:dd:c912:2fff:ffff:ffff:ffff:ffff |
| 36 | 2c19:dd:c912:3000::/52 | 2c19:dd:c912:3fff:ffff:ffff:ffff:ffff |
| 37 | 2c19:dd:c912:4000::/52 | 2c19:dd:c912:4fff:ffff:ffff:ffff:ffff |
| 38 | 2c19:dd:c912:5000::/52 | 2c19:dd:c912:5fff:ffff:ffff:ffff:ffff |
| 39 | 2c19:dd:c912:6000::/52 | 2c19:dd:c912:6fff:ffff:ffff:ffff:ffff |
| 40 | 2c19:dd:c912:7000::/52 | 2c19:dd:c912:7fff:ffff:ffff:ffff:ffff |
| 41 | 2c19:dd:c912:8000::/52 | 2c19:dd:c912:8fff:ffff:ffff:ffff:ffff |
| 42 | 2c19:dd:c912:9000::/52 | 2c19:dd:c912:9fff:ffff:ffff:ffff:ffff |
| 43 | 2c19:dd:c912:a000::/52 | 2c19:dd:c912:afff:ffff:ffff:ffff:ffff |
| 44 | 2c19:dd:c912:b000::/52 | 2c19:dd:c912:bfff:ffff:ffff:ffff:ffff |
| 45 | 2c19:dd:c912:c000::/52 | 2c19:dd:c912:cfff:ffff:ffff:ffff:ffff |
| 46 | 2c19:dd:c912:d000::/52 | 2c19:dd:c912:dfff:ffff:ffff:ffff:ffff |
| 47 | 2c19:dd:c912:e000::/52 | 2c19:dd:c912:efff:ffff:ffff:ffff:ffff |
| 48 | 2c19:dd:c912:f000::/52 | 2c19:dd:c912:ffff:ffff:ffff:ffff:ffff |
| 49 | 2c19:dd:c913::/52 | 2c19:dd:c913:fff:ffff:ffff:ffff:ffff |
| 50 | 2c19:dd:c913:1000::/52 | 2c19:dd:c913:1fff:ffff:ffff:ffff:ffff |
| 51 | 2c19:dd:c913:2000::/52 | 2c19:dd:c913:2fff:ffff:ffff:ffff:ffff |
| 52 | 2c19:dd:c913:3000::/52 | 2c19:dd:c913:3fff:ffff:ffff:ffff:ffff |
| 53 | 2c19:dd:c913:4000::/52 | 2c19:dd:c913:4fff:ffff:ffff:ffff:ffff |
| 54 | 2c19:dd:c913:5000::/52 | 2c19:dd:c913:5fff:ffff:ffff:ffff:ffff |
| 55 | 2c19:dd:c913:6000::/52 | 2c19:dd:c913:6fff:ffff:ffff:ffff:ffff |
| 56 | 2c19:dd:c913:7000::/52 | 2c19:dd:c913:7fff:ffff:ffff:ffff:ffff |
| 57 | 2c19:dd:c913:8000::/52 | 2c19:dd:c913:8fff:ffff:ffff:ffff:ffff |
| 58 | 2c19:dd:c913:9000::/52 | 2c19:dd:c913:9fff:ffff:ffff:ffff:ffff |
| 59 | 2c19:dd:c913:a000::/52 | 2c19:dd:c913:afff:ffff:ffff:ffff:ffff |
| 60 | 2c19:dd:c913:b000::/52 | 2c19:dd:c913:bfff:ffff:ffff:ffff:ffff |
| 61 | 2c19:dd:c913:c000::/52 | 2c19:dd:c913:cfff:ffff:ffff:ffff:ffff |
| 62 | 2c19:dd:c913:d000::/52 | 2c19:dd:c913:dfff:ffff:ffff:ffff:ffff |
| 63 | 2c19:dd:c913:e000::/52 | 2c19:dd:c913:efff:ffff:ffff:ffff:ffff |
| 64 | 2c19:dd:c913:f000::/52 | 2c19:dd:c913:ffff:ffff:ffff:ffff:ffff |
| 65 | 2c19:dd:c914::/52 | 2c19:dd:c914:fff:ffff:ffff:ffff:ffff |
| 66 | 2c19:dd:c914:1000::/52 | 2c19:dd:c914:1fff:ffff:ffff:ffff:ffff |
| 67 | 2c19:dd:c914:2000::/52 | 2c19:dd:c914:2fff:ffff:ffff:ffff:ffff |
| 68 | 2c19:dd:c914:3000::/52 | 2c19:dd:c914:3fff:ffff:ffff:ffff:ffff |
| 69 | 2c19:dd:c914:4000::/52 | 2c19:dd:c914:4fff:ffff:ffff:ffff:ffff |
| 70 | 2c19:dd:c914:5000::/52 | 2c19:dd:c914:5fff:ffff:ffff:ffff:ffff |
| 71 | 2c19:dd:c914:6000::/52 | 2c19:dd:c914:6fff:ffff:ffff:ffff:ffff |
| 72 | 2c19:dd:c914:7000::/52 | 2c19:dd:c914:7fff:ffff:ffff:ffff:ffff |
| 73 | 2c19:dd:c914:8000::/52 | 2c19:dd:c914:8fff:ffff:ffff:ffff:ffff |
| 74 | 2c19:dd:c914:9000::/52 | 2c19:dd:c914:9fff:ffff:ffff:ffff:ffff |
| 75 | 2c19:dd:c914:a000::/52 | 2c19:dd:c914:afff:ffff:ffff:ffff:ffff |
| 76 | 2c19:dd:c914:b000::/52 | 2c19:dd:c914:bfff:ffff:ffff:ffff:ffff |
| 77 | 2c19:dd:c914:c000::/52 | 2c19:dd:c914:cfff:ffff:ffff:ffff:ffff |
| 78 | 2c19:dd:c914:d000::/52 | 2c19:dd:c914:dfff:ffff:ffff:ffff:ffff |
| 79 | 2c19:dd:c914:e000::/52 | 2c19:dd:c914:efff:ffff:ffff:ffff:ffff |
| 80 | 2c19:dd:c914:f000::/52 | 2c19:dd:c914:ffff:ffff:ffff:ffff:ffff |
| 81 | 2c19:dd:c915::/52 | 2c19:dd:c915:fff:ffff:ffff:ffff:ffff |
| 82 | 2c19:dd:c915:1000::/52 | 2c19:dd:c915:1fff:ffff:ffff:ffff:ffff |
| 83 | 2c19:dd:c915:2000::/52 | 2c19:dd:c915:2fff:ffff:ffff:ffff:ffff |
| 84 | 2c19:dd:c915:3000::/52 | 2c19:dd:c915:3fff:ffff:ffff:ffff:ffff |
| 85 | 2c19:dd:c915:4000::/52 | 2c19:dd:c915:4fff:ffff:ffff:ffff:ffff |
| 86 | 2c19:dd:c915:5000::/52 | 2c19:dd:c915:5fff:ffff:ffff:ffff:ffff |
| 87 | 2c19:dd:c915:6000::/52 | 2c19:dd:c915:6fff:ffff:ffff:ffff:ffff |
| 88 | 2c19:dd:c915:7000::/52 | 2c19:dd:c915:7fff:ffff:ffff:ffff:ffff |
| 89 | 2c19:dd:c915:8000::/52 | 2c19:dd:c915:8fff:ffff:ffff:ffff:ffff |
| 90 | 2c19:dd:c915:9000::/52 | 2c19:dd:c915:9fff:ffff:ffff:ffff:ffff |
| 91 | 2c19:dd:c915:a000::/52 | 2c19:dd:c915:afff:ffff:ffff:ffff:ffff |
| 92 | 2c19:dd:c915:b000::/52 | 2c19:dd:c915:bfff:ffff:ffff:ffff:ffff |
| 93 | 2c19:dd:c915:c000::/52 | 2c19:dd:c915:cfff:ffff:ffff:ffff:ffff |
| 94 | 2c19:dd:c915:d000::/52 | 2c19:dd:c915:dfff:ffff:ffff:ffff:ffff |
| 95 | 2c19:dd:c915:e000::/52 | 2c19:dd:c915:efff:ffff:ffff:ffff:ffff |
| 96 | 2c19:dd:c915:f000::/52 | 2c19:dd:c915:ffff:ffff:ffff:ffff:ffff |
| 97 | 2c19:dd:c916::/52 | 2c19:dd:c916:fff:ffff:ffff:ffff:ffff |
| 98 | 2c19:dd:c916:1000::/52 | 2c19:dd:c916:1fff:ffff:ffff:ffff:ffff |
| 99 | 2c19:dd:c916:2000::/52 | 2c19:dd:c916:2fff:ffff:ffff:ffff:ffff |
| 100 | 2c19:dd:c916:3000::/52 | 2c19:dd:c916:3fff:ffff:ffff:ffff:ffff |
| 101 | 2c19:dd:c916:4000::/52 | 2c19:dd:c916:4fff:ffff:ffff:ffff:ffff |
| 102 | 2c19:dd:c916:5000::/52 | 2c19:dd:c916:5fff:ffff:ffff:ffff:ffff |
| 103 | 2c19:dd:c916:6000::/52 | 2c19:dd:c916:6fff:ffff:ffff:ffff:ffff |
| 104 | 2c19:dd:c916:7000::/52 | 2c19:dd:c916:7fff:ffff:ffff:ffff:ffff |
| 105 | 2c19:dd:c916:8000::/52 | 2c19:dd:c916:8fff:ffff:ffff:ffff:ffff |
| 106 | 2c19:dd:c916:9000::/52 | 2c19:dd:c916:9fff:ffff:ffff:ffff:ffff |
| 107 | 2c19:dd:c916:a000::/52 | 2c19:dd:c916:afff:ffff:ffff:ffff:ffff |
| 108 | 2c19:dd:c916:b000::/52 | 2c19:dd:c916:bfff:ffff:ffff:ffff:ffff |
| 109 | 2c19:dd:c916:c000::/52 | 2c19:dd:c916:cfff:ffff:ffff:ffff:ffff |
| 110 | 2c19:dd:c916:d000::/52 | 2c19:dd:c916:dfff:ffff:ffff:ffff:ffff |
| 111 | 2c19:dd:c916:e000::/52 | 2c19:dd:c916:efff:ffff:ffff:ffff:ffff |
| 112 | 2c19:dd:c916:f000::/52 | 2c19:dd:c916:ffff:ffff:ffff:ffff:ffff |
| 113 | 2c19:dd:c917::/52 | 2c19:dd:c917:fff:ffff:ffff:ffff:ffff |
| 114 | 2c19:dd:c917:1000::/52 | 2c19:dd:c917:1fff:ffff:ffff:ffff:ffff |
| 115 | 2c19:dd:c917:2000::/52 | 2c19:dd:c917:2fff:ffff:ffff:ffff:ffff |
| 116 | 2c19:dd:c917:3000::/52 | 2c19:dd:c917:3fff:ffff:ffff:ffff:ffff |
| 117 | 2c19:dd:c917:4000::/52 | 2c19:dd:c917:4fff:ffff:ffff:ffff:ffff |
| 118 | 2c19:dd:c917:5000::/52 | 2c19:dd:c917:5fff:ffff:ffff:ffff:ffff |
| 119 | 2c19:dd:c917:6000::/52 | 2c19:dd:c917:6fff:ffff:ffff:ffff:ffff |
| 120 | 2c19:dd:c917:7000::/52 | 2c19:dd:c917:7fff:ffff:ffff:ffff:ffff |
| 121 | 2c19:dd:c917:8000::/52 | 2c19:dd:c917:8fff:ffff:ffff:ffff:ffff |
| 122 | 2c19:dd:c917:9000::/52 | 2c19:dd:c917:9fff:ffff:ffff:ffff:ffff |
| 123 | 2c19:dd:c917:a000::/52 | 2c19:dd:c917:afff:ffff:ffff:ffff:ffff |
| 124 | 2c19:dd:c917:b000::/52 | 2c19:dd:c917:bfff:ffff:ffff:ffff:ffff |
| 125 | 2c19:dd:c917:c000::/52 | 2c19:dd:c917:cfff:ffff:ffff:ffff:ffff |
| 126 | 2c19:dd:c917:d000::/52 | 2c19:dd:c917:dfff:ffff:ffff:ffff:ffff |
| 127 | 2c19:dd:c917:e000::/52 | 2c19:dd:c917:efff:ffff:ffff:ffff:ffff |
| 128 | 2c19:dd:c917:f000::/52 | 2c19:dd:c917:ffff:ffff:ffff:ffff:ffff |
| 129 | 2c19:dd:c918::/52 | 2c19:dd:c918:fff:ffff:ffff:ffff:ffff |
| 130 | 2c19:dd:c918:1000::/52 | 2c19:dd:c918:1fff:ffff:ffff:ffff:ffff |
| 131 | 2c19:dd:c918:2000::/52 | 2c19:dd:c918:2fff:ffff:ffff:ffff:ffff |
| 132 | 2c19:dd:c918:3000::/52 | 2c19:dd:c918:3fff:ffff:ffff:ffff:ffff |
| 133 | 2c19:dd:c918:4000::/52 | 2c19:dd:c918:4fff:ffff:ffff:ffff:ffff |
| 134 | 2c19:dd:c918:5000::/52 | 2c19:dd:c918:5fff:ffff:ffff:ffff:ffff |
| 135 | 2c19:dd:c918:6000::/52 | 2c19:dd:c918:6fff:ffff:ffff:ffff:ffff |
| 136 | 2c19:dd:c918:7000::/52 | 2c19:dd:c918:7fff:ffff:ffff:ffff:ffff |
| 137 | 2c19:dd:c918:8000::/52 | 2c19:dd:c918:8fff:ffff:ffff:ffff:ffff |
| 138 | 2c19:dd:c918:9000::/52 | 2c19:dd:c918:9fff:ffff:ffff:ffff:ffff |
| 139 | 2c19:dd:c918:a000::/52 | 2c19:dd:c918:afff:ffff:ffff:ffff:ffff |
| 140 | 2c19:dd:c918:b000::/52 | 2c19:dd:c918:bfff:ffff:ffff:ffff:ffff |
| 141 | 2c19:dd:c918:c000::/52 | 2c19:dd:c918:cfff:ffff:ffff:ffff:ffff |
| 142 | 2c19:dd:c918:d000::/52 | 2c19:dd:c918:dfff:ffff:ffff:ffff:ffff |
| 143 | 2c19:dd:c918:e000::/52 | 2c19:dd:c918:efff:ffff:ffff:ffff:ffff |
| 144 | 2c19:dd:c918:f000::/52 | 2c19:dd:c918:ffff:ffff:ffff:ffff:ffff |
| 145 | 2c19:dd:c919::/52 | 2c19:dd:c919:fff:ffff:ffff:ffff:ffff |
| 146 | 2c19:dd:c919:1000::/52 | 2c19:dd:c919:1fff:ffff:ffff:ffff:ffff |
| 147 | 2c19:dd:c919:2000::/52 | 2c19:dd:c919:2fff:ffff:ffff:ffff:ffff |
| 148 | 2c19:dd:c919:3000::/52 | 2c19:dd:c919:3fff:ffff:ffff:ffff:ffff |
| 149 | 2c19:dd:c919:4000::/52 | 2c19:dd:c919:4fff:ffff:ffff:ffff:ffff |
| 150 | 2c19:dd:c919:5000::/52 | 2c19:dd:c919:5fff:ffff:ffff:ffff:ffff |
| 151 | 2c19:dd:c919:6000::/52 | 2c19:dd:c919:6fff:ffff:ffff:ffff:ffff |
| 152 | 2c19:dd:c919:7000::/52 | 2c19:dd:c919:7fff:ffff:ffff:ffff:ffff |
| 153 | 2c19:dd:c919:8000::/52 | 2c19:dd:c919:8fff:ffff:ffff:ffff:ffff |
| 154 | 2c19:dd:c919:9000::/52 | 2c19:dd:c919:9fff:ffff:ffff:ffff:ffff |
| 155 | 2c19:dd:c919:a000::/52 | 2c19:dd:c919:afff:ffff:ffff:ffff:ffff |
| 156 | 2c19:dd:c919:b000::/52 | 2c19:dd:c919:bfff:ffff:ffff:ffff:ffff |
| 157 | 2c19:dd:c919:c000::/52 | 2c19:dd:c919:cfff:ffff:ffff:ffff:ffff |
| 158 | 2c19:dd:c919:d000::/52 | 2c19:dd:c919:dfff:ffff:ffff:ffff:ffff |
| 159 | 2c19:dd:c919:e000::/52 | 2c19:dd:c919:efff:ffff:ffff:ffff:ffff |
| 160 | 2c19:dd:c919:f000::/52 | 2c19:dd:c919:ffff:ffff:ffff:ffff:ffff |
| 161 | 2c19:dd:c91a::/52 | 2c19:dd:c91a:fff:ffff:ffff:ffff:ffff |
| 162 | 2c19:dd:c91a:1000::/52 | 2c19:dd:c91a:1fff:ffff:ffff:ffff:ffff |
| 163 | 2c19:dd:c91a:2000::/52 | 2c19:dd:c91a:2fff:ffff:ffff:ffff:ffff |
| 164 | 2c19:dd:c91a:3000::/52 | 2c19:dd:c91a:3fff:ffff:ffff:ffff:ffff |
| 165 | 2c19:dd:c91a:4000::/52 | 2c19:dd:c91a:4fff:ffff:ffff:ffff:ffff |
| 166 | 2c19:dd:c91a:5000::/52 | 2c19:dd:c91a:5fff:ffff:ffff:ffff:ffff |
| 167 | 2c19:dd:c91a:6000::/52 | 2c19:dd:c91a:6fff:ffff:ffff:ffff:ffff |
| 168 | 2c19:dd:c91a:7000::/52 | 2c19:dd:c91a:7fff:ffff:ffff:ffff:ffff |
| 169 | 2c19:dd:c91a:8000::/52 | 2c19:dd:c91a:8fff:ffff:ffff:ffff:ffff |
| 170 | 2c19:dd:c91a:9000::/52 | 2c19:dd:c91a:9fff:ffff:ffff:ffff:ffff |
| 171 | 2c19:dd:c91a:a000::/52 | 2c19:dd:c91a:afff:ffff:ffff:ffff:ffff |
| 172 | 2c19:dd:c91a:b000::/52 | 2c19:dd:c91a:bfff:ffff:ffff:ffff:ffff |
| 173 | 2c19:dd:c91a:c000::/52 | 2c19:dd:c91a:cfff:ffff:ffff:ffff:ffff |
| 174 | 2c19:dd:c91a:d000::/52 | 2c19:dd:c91a:dfff:ffff:ffff:ffff:ffff |
| 175 | 2c19:dd:c91a:e000::/52 | 2c19:dd:c91a:efff:ffff:ffff:ffff:ffff |
| 176 | 2c19:dd:c91a:f000::/52 | 2c19:dd:c91a:ffff:ffff:ffff:ffff:ffff |
| 177 | 2c19:dd:c91b::/52 | 2c19:dd:c91b:fff:ffff:ffff:ffff:ffff |
| 178 | 2c19:dd:c91b:1000::/52 | 2c19:dd:c91b:1fff:ffff:ffff:ffff:ffff |
| 179 | 2c19:dd:c91b:2000::/52 | 2c19:dd:c91b:2fff:ffff:ffff:ffff:ffff |
| 180 | 2c19:dd:c91b:3000::/52 | 2c19:dd:c91b:3fff:ffff:ffff:ffff:ffff |
| 181 | 2c19:dd:c91b:4000::/52 | 2c19:dd:c91b:4fff:ffff:ffff:ffff:ffff |
| 182 | 2c19:dd:c91b:5000::/52 | 2c19:dd:c91b:5fff:ffff:ffff:ffff:ffff |
| 183 | 2c19:dd:c91b:6000::/52 | 2c19:dd:c91b:6fff:ffff:ffff:ffff:ffff |
| 184 | 2c19:dd:c91b:7000::/52 | 2c19:dd:c91b:7fff:ffff:ffff:ffff:ffff |
| 185 | 2c19:dd:c91b:8000::/52 | 2c19:dd:c91b:8fff:ffff:ffff:ffff:ffff |
| 186 | 2c19:dd:c91b:9000::/52 | 2c19:dd:c91b:9fff:ffff:ffff:ffff:ffff |
| 187 | 2c19:dd:c91b:a000::/52 | 2c19:dd:c91b:afff:ffff:ffff:ffff:ffff |
| 188 | 2c19:dd:c91b:b000::/52 | 2c19:dd:c91b:bfff:ffff:ffff:ffff:ffff |
| 189 | 2c19:dd:c91b:c000::/52 | 2c19:dd:c91b:cfff:ffff:ffff:ffff:ffff |
| 190 | 2c19:dd:c91b:d000::/52 | 2c19:dd:c91b:dfff:ffff:ffff:ffff:ffff |
| 191 | 2c19:dd:c91b:e000::/52 | 2c19:dd:c91b:efff:ffff:ffff:ffff:ffff |
| 192 | 2c19:dd:c91b:f000::/52 | 2c19:dd:c91b:ffff:ffff:ffff:ffff:ffff |
| 193 | 2c19:dd:c91c::/52 | 2c19:dd:c91c:fff:ffff:ffff:ffff:ffff |
| 194 | 2c19:dd:c91c:1000::/52 | 2c19:dd:c91c:1fff:ffff:ffff:ffff:ffff |
| 195 | 2c19:dd:c91c:2000::/52 | 2c19:dd:c91c:2fff:ffff:ffff:ffff:ffff |
| 196 | 2c19:dd:c91c:3000::/52 | 2c19:dd:c91c:3fff:ffff:ffff:ffff:ffff |
| 197 | 2c19:dd:c91c:4000::/52 | 2c19:dd:c91c:4fff:ffff:ffff:ffff:ffff |
| 198 | 2c19:dd:c91c:5000::/52 | 2c19:dd:c91c:5fff:ffff:ffff:ffff:ffff |
| 199 | 2c19:dd:c91c:6000::/52 | 2c19:dd:c91c:6fff:ffff:ffff:ffff:ffff |
| 200 | 2c19:dd:c91c:7000::/52 | 2c19:dd:c91c:7fff:ffff:ffff:ffff:ffff |
| 201 | 2c19:dd:c91c:8000::/52 | 2c19:dd:c91c:8fff:ffff:ffff:ffff:ffff |
| 202 | 2c19:dd:c91c:9000::/52 | 2c19:dd:c91c:9fff:ffff:ffff:ffff:ffff |
| 203 | 2c19:dd:c91c:a000::/52 | 2c19:dd:c91c:afff:ffff:ffff:ffff:ffff |
| 204 | 2c19:dd:c91c:b000::/52 | 2c19:dd:c91c:bfff:ffff:ffff:ffff:ffff |
| 205 | 2c19:dd:c91c:c000::/52 | 2c19:dd:c91c:cfff:ffff:ffff:ffff:ffff |
| 206 | 2c19:dd:c91c:d000::/52 | 2c19:dd:c91c:dfff:ffff:ffff:ffff:ffff |
| 207 | 2c19:dd:c91c:e000::/52 | 2c19:dd:c91c:efff:ffff:ffff:ffff:ffff |
| 208 | 2c19:dd:c91c:f000::/52 | 2c19:dd:c91c:ffff:ffff:ffff:ffff:ffff |
| 209 | 2c19:dd:c91d::/52 | 2c19:dd:c91d:fff:ffff:ffff:ffff:ffff |
| 210 | 2c19:dd:c91d:1000::/52 | 2c19:dd:c91d:1fff:ffff:ffff:ffff:ffff |
| 211 | 2c19:dd:c91d:2000::/52 | 2c19:dd:c91d:2fff:ffff:ffff:ffff:ffff |
| 212 | 2c19:dd:c91d:3000::/52 | 2c19:dd:c91d:3fff:ffff:ffff:ffff:ffff |
| 213 | 2c19:dd:c91d:4000::/52 | 2c19:dd:c91d:4fff:ffff:ffff:ffff:ffff |
| 214 | 2c19:dd:c91d:5000::/52 | 2c19:dd:c91d:5fff:ffff:ffff:ffff:ffff |
| 215 | 2c19:dd:c91d:6000::/52 | 2c19:dd:c91d:6fff:ffff:ffff:ffff:ffff |
| 216 | 2c19:dd:c91d:7000::/52 | 2c19:dd:c91d:7fff:ffff:ffff:ffff:ffff |
| 217 | 2c19:dd:c91d:8000::/52 | 2c19:dd:c91d:8fff:ffff:ffff:ffff:ffff |
| 218 | 2c19:dd:c91d:9000::/52 | 2c19:dd:c91d:9fff:ffff:ffff:ffff:ffff |
| 219 | 2c19:dd:c91d:a000::/52 | 2c19:dd:c91d:afff:ffff:ffff:ffff:ffff |
| 220 | 2c19:dd:c91d:b000::/52 | 2c19:dd:c91d:bfff:ffff:ffff:ffff:ffff |
| 221 | 2c19:dd:c91d:c000::/52 | 2c19:dd:c91d:cfff:ffff:ffff:ffff:ffff |
| 222 | 2c19:dd:c91d:d000::/52 | 2c19:dd:c91d:dfff:ffff:ffff:ffff:ffff |
| 223 | 2c19:dd:c91d:e000::/52 | 2c19:dd:c91d:efff:ffff:ffff:ffff:ffff |
| 224 | 2c19:dd:c91d:f000::/52 | 2c19:dd:c91d:ffff:ffff:ffff:ffff:ffff |
| 225 | 2c19:dd:c91e::/52 | 2c19:dd:c91e:fff:ffff:ffff:ffff:ffff |
| 226 | 2c19:dd:c91e:1000::/52 | 2c19:dd:c91e:1fff:ffff:ffff:ffff:ffff |
| 227 | 2c19:dd:c91e:2000::/52 | 2c19:dd:c91e:2fff:ffff:ffff:ffff:ffff |
| 228 | 2c19:dd:c91e:3000::/52 | 2c19:dd:c91e:3fff:ffff:ffff:ffff:ffff |
| 229 | 2c19:dd:c91e:4000::/52 | 2c19:dd:c91e:4fff:ffff:ffff:ffff:ffff |
| 230 | 2c19:dd:c91e:5000::/52 | 2c19:dd:c91e:5fff:ffff:ffff:ffff:ffff |
| 231 | 2c19:dd:c91e:6000::/52 | 2c19:dd:c91e:6fff:ffff:ffff:ffff:ffff |
| 232 | 2c19:dd:c91e:7000::/52 | 2c19:dd:c91e:7fff:ffff:ffff:ffff:ffff |
| 233 | 2c19:dd:c91e:8000::/52 | 2c19:dd:c91e:8fff:ffff:ffff:ffff:ffff |
| 234 | 2c19:dd:c91e:9000::/52 | 2c19:dd:c91e:9fff:ffff:ffff:ffff:ffff |
| 235 | 2c19:dd:c91e:a000::/52 | 2c19:dd:c91e:afff:ffff:ffff:ffff:ffff |
| 236 | 2c19:dd:c91e:b000::/52 | 2c19:dd:c91e:bfff:ffff:ffff:ffff:ffff |
| 237 | 2c19:dd:c91e:c000::/52 | 2c19:dd:c91e:cfff:ffff:ffff:ffff:ffff |
| 238 | 2c19:dd:c91e:d000::/52 | 2c19:dd:c91e:dfff:ffff:ffff:ffff:ffff |
| 239 | 2c19:dd:c91e:e000::/52 | 2c19:dd:c91e:efff:ffff:ffff:ffff:ffff |
| 240 | 2c19:dd:c91e:f000::/52 | 2c19:dd:c91e:ffff:ffff:ffff:ffff:ffff |
| 241 | 2c19:dd:c91f::/52 | 2c19:dd:c91f:fff:ffff:ffff:ffff:ffff |
| 242 | 2c19:dd:c91f:1000::/52 | 2c19:dd:c91f:1fff:ffff:ffff:ffff:ffff |
| 243 | 2c19:dd:c91f:2000::/52 | 2c19:dd:c91f:2fff:ffff:ffff:ffff:ffff |
| 244 | 2c19:dd:c91f:3000::/52 | 2c19:dd:c91f:3fff:ffff:ffff:ffff:ffff |
| 245 | 2c19:dd:c91f:4000::/52 | 2c19:dd:c91f:4fff:ffff:ffff:ffff:ffff |
| 246 | 2c19:dd:c91f:5000::/52 | 2c19:dd:c91f:5fff:ffff:ffff:ffff:ffff |
| 247 | 2c19:dd:c91f:6000::/52 | 2c19:dd:c91f:6fff:ffff:ffff:ffff:ffff |
| 248 | 2c19:dd:c91f:7000::/52 | 2c19:dd:c91f:7fff:ffff:ffff:ffff:ffff |
| 249 | 2c19:dd:c91f:8000::/52 | 2c19:dd:c91f:8fff:ffff:ffff:ffff:ffff |
| 250 | 2c19:dd:c91f:9000::/52 | 2c19:dd:c91f:9fff:ffff:ffff:ffff:ffff |
| 251 | 2c19:dd:c91f:a000::/52 | 2c19:dd:c91f:afff:ffff:ffff:ffff:ffff |
| 252 | 2c19:dd:c91f:b000::/52 | 2c19:dd:c91f:bfff:ffff:ffff:ffff:ffff |
| 253 | 2c19:dd:c91f:c000::/52 | 2c19:dd:c91f:cfff:ffff:ffff:ffff:ffff |
| 254 | 2c19:dd:c91f:d000::/52 | 2c19:dd:c91f:dfff:ffff:ffff:ffff:ffff |
| 255 | 2c19:dd:c91f:e000::/52 | 2c19:dd:c91f:efff:ffff:ffff:ffff:ffff |
| 256 | 2c19:dd:c91f:f000::/52 | 2c19:dd:c91f:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |